#include <stdio.h>
#include <stdlib.h>


int main()
{
    int h, w,i;
    scanf("%d %d", &h, &w);
    int* matrix = (int*) calloc(h*w,sizeof(int));
    for(i = 0; i< h*w; i++){
        scanf("%d" ,(matrix+i));

    }
    printf("-1");
    return 0;
}